Bug 92177 - iostream library is not sufficient for input/output
Summary: iostream library is not sufficient for input/output
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-03 16:24 UTC by john tulpan
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 18:09:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description john tulpan 2003-06-03 16:24:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

The #include <iostream> statement should take care of input & output, i.e. cin
and cout.  But unless one include namespaces std or including std::cout & cin
when you compile it it'll give an error saying it doesn't know what cin & cout are.
The very purpose of the iostream lib though is to provide std I/O so I think
something is missing here...  Thanks, sincerely, John


Version-Release number of selected component (if applicable):
gcc-3.2.2-5

How reproducible:
Always

Steps to Reproduce:
1.edit a C++ program, & say "#include <iostream>
2.say in your program " cout<<"What a silly monkey!";
3.compile your program with g++ command
    

Actual Results:  get error, it don't compile

Expected Results:  should have compiled

Additional info:

Comment 1 Jakub Jelinek 2003-06-17 18:09:22 UTC
No, it should not compile. Please check ISO C++ 98 standard.


Note You need to log in before you can comment on or make changes to this bug.